net.fortuna.ical4j.model.property

## Class UtcProperty

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.DateProperty
      - - net.fortuna.ical4j.model.property.UtcProperty

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Completed, Created, DtStamp, LastModified, Trigger

    public abstract class UtcProperty
    extends DateProperty

$Id$ Created on 8/08/2005 Superclass for all properties with date-time values that must be specified in UTC time.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`UtcProperty(String name, ParameterList parameters, PropertyFactory factory)`
`UtcProperty(String name, PropertyFactory factory)`

### Method Summary

Methods
`DateTime` `getDateTime()`
`void` `setDateTime(DateTime dateTime)`
`void` `setTimeZone(TimeZone timezone)` Publically available method to update the current timezone.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.property.DateProperty

`copy, getDate, getTimeZone, getValue, hashCode, isUtc, setDate, setUtc, setValue`

### Methods inherited from class net.fortuna.ical4j.model.Property

`equals, getName, getParameter, getParameters, getParameters, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UtcProperty

    public UtcProperty(String name,
               ParameterList parameters,
               PropertyFactory factory)

Parameters:
  `name` - a property name
  `parameters` - list of parameters

#### UtcProperty

    public UtcProperty(String name,
               PropertyFactory factory)

Parameters:
  `name` - a property name

### Method Detail

#### getDateTime

    public final DateTime getDateTime()

Returns:
  Returns the date-time.

#### setDateTime

    public void setDateTime(DateTime dateTime)

Parameters:
  `dateTime` - The dateTime to set.

#### setTimeZone

    public void setTimeZone(TimeZone timezone)

Publically available method to update the current timezone.

Overrides:
  `setTimeZone` in class `DateProperty`
Parameters:
  `timezone` - a timezone instance

#### validate

    public void validate()
                  throws ValidationException

Perform validation on a property.

Overrides:
  `validate` in class `DateProperty`
Throws:
  `ValidationException` - where the property is not in a valid state